jQuery(document).ready(function(){
/*global jQuery:false */
/*jshint devel:true, laxcomma:true, smarttabs:true */
"use strict";

	jQuery(".header_minimal #navigation a.tmnf_close_nav").click(function(){
		jQuery("#header input[type=checkbox]").prop("checked", false);
	})

	// responsive magic
	var alterClass = function() {
	  var ww = document.body.clientWidth;
	  if (ww < 1155) {
		jQuery('body').addClass('tmnf_respo_magic');
	  } else if (ww >= 1156) {
		jQuery('body').removeClass('tmnf_respo_magic');
	  };
	};
	jQuery(window).resize(function(){
	  alterClass();
	});
	//Fire it when the page first loads:
	alterClass();
	
	// scroll to top
	jQuery(".scroll_to_top").hide();
	jQuery(function () {
		jQuery(window).scroll(function () {
			if (jQuery(this).scrollTop() > 300) {
				jQuery('.scroll_to_top').fadeIn();
				jQuery('#header').addClass('scrolled'); 
			} else {
				jQuery('.scroll_to_top').fadeOut();
				jQuery('#header').removeClass('scrolled'); 
			}
		});

	jQuery('.scroll_to_top a').on('click',function(){
		jQuery('html, body').animate({scrollTop:0}, 300 );
		return false;
	});
	});
		
		
	/* searchtrigger */
	jQuery('a.searchOpen').on('click',function(){ 
			jQuery('#curtain').toggleClass('open'); 
            jQuery(this).toggleClass('opened'); 
			return false; 
	}); 
	
	jQuery('a.curtainclose').on('click',function(){ 
			jQuery('#curtain').removeClass('open'); 
			jQuery('a.searchOpen').removeClass('opened');
			return false; 
	});
	

	/* menutrigger */
	jQuery('a.menuOpen').on('click',function(){ 
            jQuery(this).toggleClass('opened'); 
			jQuery('#flyoff').toggleClass('visible'); 
			jQuery('.action-overlay').toggleClass('visible');
			jQuery('body').toggleClass('flyoff-is-visible');
			return false; 
	}); 
	
	jQuery('a.menuClose').on('click',function(){ 
			jQuery('a.menuOpen').removeClass('opened');
			jQuery('#flyoff').removeClass('visible');
			jQuery('.action-overlay').removeClass('visible');
			jQuery('body').removeClass('flyoff-is-visible');
			return false; 
	});
	
	jQuery('.action-overlay').on('click',function(){ 
			jQuery('a.menuOpen').removeClass('opened');
			jQuery('#flyoff').removeClass('visible');
			jQuery('.action-overlay').removeClass('visible');
			jQuery('body').removeClass('flyoff-is-visible');
			return false; 
	});
	
	
	// contains icon
	jQuery( ".project_meta_item").has( "i" ).addClass('tmnf_has_icon'); 
	jQuery( ".project_meta_item").has( "h6" ).addClass('tmnf_has_text'); 


	// mobile menu dropdown
	jQuery(document).ready(function () {
        tmnf_dropdown_mobile();
    });
	
    window.tmnf_dropdown_mobile = () => {
        let windowW = jQuery(window).width();

        jQuery('#main_nav li.menu-item-has-children > a').each(function () {
            jQuery(this).append('<span class="tmnf_mobile_dropdown">↓</span>');
        });

        jQuery('body').find('.tmnf_mobile_dropdown').on('click', function (e) {
            e.preventDefault();
            let dd = jQuery(this);
            dd.closest('li').toggleClass(function () {
                if ( window.innerWidth < 1025) {
                    let subMenu = dd.closest('li').children('.sub-menu');
                    subMenu.toggle();
                }
                return 'active';
            });
        });
    };

	// minimal header: sub-menu dropdown
	jQuery(document).ready(function () {
        tmnf_dropdown_minimal_header();
    });
	
    window.tmnf_dropdown_minimal_header = () => {
        let windowW = jQuery(window).width();

        jQuery('.header_minimal #main_nav li.menu-item-has-children > a').each(function () {
            jQuery(this).append('<span class="tmnf_dropdown_minimal_header">↓</span>');
        });

        jQuery('body').find('.tmnf_dropdown_minimal_header').on('click', function (e) {
            e.preventDefault();
            let dd = jQuery(this);
            dd.closest('li').toggleClass(function () {
                if ( window.innerWidth < 1025) {
                    let subMenu = dd.closest('li').children('.sub-menu');
                    subMenu.toggle();
                }
                return 'minimal_menu_active';
            });
        });
    };


});

	
jQuery( function ( $ ) {
  // Focus styles for menus when using keyboard navigation

  // Properly update the ARIA states on focus (keyboard) and mouse over events
  $( '[role="menubar"]' ).on( 'focus.aria  mouseenter.aria', '[aria-haspopup="true"]', function ( ev ) {
    $( ev.currentTarget ).attr( 'aria-expanded', true );
  } );

  // Properly update the ARIA states on blur (keyboard) and mouse out events
  $( '[role="menubar"]' ).on( 'blur.aria  mouseleave.aria', '[aria-haspopup="true"]', function ( ev ) {
    $( ev.currentTarget ).attr( 'aria-expanded', false );
  } );
} );