<?php
/*
Template Name: Elementor (default heading + breadcrumbs)
Template Post Type: post, page, event
*/
?>
<?php get_header();
$single_featured = get_post_meta(get_the_ID(), 'themnific_single_image_type', true);
?>

<div class="page_header <?php if ( has_post_thumbnail()) { echo 'page_header_image '; } else { echo 'page_header_plain '; }?>">

    <?php if ( has_post_thumbnail()) {  the_post_thumbnail( 'gaar_slider' );  }?>
    
    <div class="tmnf_container">
    
    	<div class="tmnf_column tmnf_column_12">
        
        	<div class="tmnf_post_head">

                <div class="main_breadcrumbs">
                
                    <?php gaar_breadcrumbs()?>
                    
                </div>
        
                <h1 class="post_title medium_title"><span itemprop="name"><?php the_title(); ?></span></h1>
            
            </div>
        
        </div>
    
    </div>
        
</div>
                
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
    
    <div id="content_start" class="tmnf_anchor"></div>

	<?php the_content();  ?>

<?php endwhile; endif; ?>
    
<div class="clearfix"></div>
    
<?php get_footer(); ?>