<?php
/*
Template Name: Left Sidebar Layout
Template Post Type: post, page, event
*/
?>
<?php get_header();  
if (have_posts()) : while (have_posts()) : the_post();
$single_featured = get_post_meta(get_the_ID(), 'themnific_single_image_type', true);
?>

<?php if(has_post_format('quote')){?>
    <div class="container">
    <?php get_template_part('/post-types/post-quote-post' );} else {?>  
    
      
<div class="tmnf_single tmnf_sidebar_left" itemscope itemtype="http://schema.org/NewsArticle">
<meta itemscope itemprop="mainEntityOfPage"  content=""  itemType="https://schema.org/WebPage" itemid="<?php the_permalink(); ?>"/>

<div class="page_header <?php if ( has_post_thumbnail()) { echo 'page_header_image '; } else { echo 'page_header_plain '; }?>">

    <?php if ( has_post_thumbnail()) {  the_post_thumbnail( 'gaar_slider' );  }?>
    
    <div class="tmnf_container">
    
    	<div class="tmnf_column tmnf_column_12">
        
        	<div class="tmnf_post_head">

                <div class="main_breadcrumbs">
                
                    <?php gaar_breadcrumbs()?>
                    
                </div>
        
                <h1 class="post_title medium_title"><span itemprop="name"><?php the_title(); ?></span></h1>
            
            </div>
        
        </div>
    
    </div>
        
</div>

<div id="tmnf_single_core" <?php post_class(); ?>>
   
    <div class="tmnf_container">
    
    	<div id="content_start" class="tmnf_anchor"></div>

        <div id="content" class="tmnf_column tmnf_content">
            
            <?php get_template_part('/single-content' ); ?>
               
        </div><!-- end #content -->
    
        <?php get_sidebar(); ?>
   
    </div><!-- end .postbar -->
    
</div> 

<?php }?>
        
        <?php endwhile; else: ?>
        
            <p><?php esc_html_e('Sorry, no posts matched your criteria','gaar');?>.</p>
        
        <?php endif; ?>

</div><!-- end NewsArticle -->
   
<?php get_footer(); ?>