<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head><meta charset="<?php bloginfo( 'charset' ); ?>">

<!-- Set the viewport width to device width for mobile -->
<meta name="viewport" content="width=device-width, initial-scale=1" />

<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php wp_head(); ?>

</head>

     
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>

<div class="wrapper_main <?php $themnific_redux = get_option( 'themnific_redux' ); 
    if (!empty($themnific_redux['tmnf-container-width']))  {echo esc_attr($themnific_redux['tmnf-container-width']) . ' ';}
	if (!empty($themnific_redux['tmnf-uppercase']))  {echo esc_attr($themnific_redux['tmnf-uppercase']) . ' ';}
    if (!empty($themnific_redux['tmnf-image-filter']))  {echo esc_attr($themnific_redux['tmnf-image-filter']) . ' ';}
	if ( is_active_sidebar( 'tmnf-sidebar' ) ) {echo 'tmnf-sidebar-active ';} else { echo 'tmnf_sidebar_null ';};
	if ( is_active_sidebar( 'tmnf-sidebar-flyoff' ) ) {echo 'tmnf-sidebar-flyoff-active ';} else { echo 'tmnf-sidebar-flyoff-fix ';};
	if (empty($themnific_redux['tmnf-header-layout'])) {echo 'header_minimal ';} else {echo esc_attr($themnific_redux['tmnf-header-layout']) . ' ';}
    if ( has_nav_menu( 'main-menu' ) ) {echo 'tmnf_menu_set ';} else {echo 'tmnf_menu_disabled  ';};
?>">
   
    <div id="header" class="tmnf_border tmnf_tranz" itemscope itemtype="http://schema.org/WPHeader">
            
        <a class="screen-reader-text ribbon skip-link" href="#content_start"><?php esc_html_e('Skip to content','gaar');?></a>

        <?php $themnific_redux = get_option( 'themnific_redux' );
            
            if (empty($themnific_redux['tmnf-header-layout'])) {get_template_part('/includes/head_minimal' );} else {

                if($themnific_redux['tmnf-header-layout'] == 'header_classic'){
                    get_template_part('/includes/head_default' );
                    
                    } else {
                        get_template_part('/includes/head_minimal' );
                }
            }
        ?>
    
    <div class="clearfix"></div>
    
    </div><!-- end #header  -->

<div class="clearfix"></div>

<div class="wrapper p-border">