<?php
/*
Template Name: Projects & Works
*/
?>
<?php get_header();
$themnific_redux = get_option( 'themnific_redux' );?>
      
    <div class="page_header <?php if ( has_post_thumbnail()) { echo 'page_header_image '; } else { echo 'page_header_plain '; }?>">

    <?php if ( has_post_thumbnail()) {  the_post_thumbnail( 'gaar_slider' );  }?>
    
    <div class="tmnf_container tmnf_project_container">

        <div class="tmnf_column tmnf_column_12">

            <div class="main_breadcrumbs">
            
                <?php gaar_breadcrumbs()?>
                
            </div>
        
            <h1 class="archive_title large_title projects_title"><?php the_title(); ?></h1>
                
        </div><!-- end .tmnf_column_12  -->
        
    </div><!-- end .tmnf_container  -->
        
</div>

<div id="core">

    <div class="tmnf_container">
        
        <div id="portfolio-filter" class="portfolio-filter tmnf_column tmnf_column_12">
        
            <ul class="tmnf_meta">
            
                <li class="current-cat"><a href="<?php if(empty($themnific_redux['tmnf-project-url'])) {} else { echo esc_url($themnific_redux['tmnf-project-url']);}?>">
                
                <?php esc_html_e('All','gaar');?></a></li>
                
                <?php wp_list_categories('taxonomy=project-category&title_li='); ?>
                
            </ul>
        
        </div><!-- end .tmnf_column_12  -->

        <div class="clearfix"></div>
    
        <div class="projects_page projects_wrap tmnf_modern_style">

            <div class="item item_placeholder tmnf_column <?php $themnific_redux = get_option( 'themnific_redux' ); if (!empty($themnific_redux['tmnf-project-columns']))  {echo esc_attr($themnific_redux['tmnf-project-columns']) . ' ';} ?>"></div>
            
            <?php query_posts( array( 'post_type' => 'tmnf_project', 'paged' => $paged,));
            if ( have_posts() ) : while ( have_posts() ) : the_post();?>

                <div class="item tmnf_column <?php $themnific_redux = get_option( 'themnific_redux' ); if (!empty($themnific_redux['tmnf-project-columns']))  {echo esc_attr($themnific_redux['tmnf-project-columns']) . ' ';} ?>">

                    <?php get_template_part('/post-types/post-project'); ?>

                </div><!-- end .tmnf_column_X  -->

                
            <?php endwhile; endif;wp_reset_postdata(); ?> 
            
            <div class="clearfix"></div>
        
        </div>
              
        <div class="pagination container"><?php the_posts_pagination(); ?></div>
        
    </div>   

</div>

<?php get_footer(); ?>